head	1.3;
access;
symbols
	perseant-exfatfs-base-20250801:1.3
	perseant-exfatfs-base-20240630:1.3
	perseant-exfatfs:1.3.0.46
	perseant-exfatfs-base:1.3
	cjep_sun2x:1.3.0.44
	cjep_sun2x-base:1.3
	cjep_staticlib_x-base1:1.3
	cjep_staticlib_x:1.3.0.42
	cjep_staticlib_x-base:1.3
	phil-wifi-20200421:1.3
	phil-wifi-20200411:1.3
	phil-wifi-20200406:1.3
	pgoyette-compat-merge-20190127:1.3
	pgoyette-compat-20190127:1.3
	pgoyette-compat-20190118:1.3
	pgoyette-compat-1226:1.3
	pgoyette-compat-1126:1.3
	pgoyette-compat-1020:1.3
	pgoyette-compat-0930:1.3
	pgoyette-compat-0906:1.3
	pgoyette-compat-0728:1.3
	pgoyette-compat-0625:1.3
	pgoyette-compat-0521:1.3
	pgoyette-compat-0502:1.3
	pgoyette-compat-0422:1.3
	pgoyette-compat-0415:1.3
	pgoyette-compat-0407:1.3
	pgoyette-compat-0330:1.3
	pgoyette-compat-0322:1.3
	pgoyette-compat-0315:1.3
	pgoyette-compat:1.3.0.40
	pgoyette-compat-base:1.3
	perseant-stdc-iso10646:1.3.0.38
	perseant-stdc-iso10646-base:1.3
	prg-localcount2-base3:1.3
	prg-localcount2-base2:1.3
	prg-localcount2-base1:1.3
	prg-localcount2:1.3.0.36
	prg-localcount2-base:1.3
	pgoyette-localcount-20170426:1.3
	bouyer-socketcan-base1:1.3
	pgoyette-localcount-20170320:1.3
	bouyer-socketcan:1.3.0.34
	bouyer-socketcan-base:1.3
	pgoyette-localcount-20170107:1.3
	pgoyette-localcount-20161104:1.3
	localcount-20160914:1.3
	pgoyette-localcount-20160806:1.3
	pgoyette-localcount-20160726:1.3
	pgoyette-localcount:1.3.0.32
	pgoyette-localcount-base:1.3
	netbsd-5-2-3-RELEASE:1.3
	netbsd-5-1-5-RELEASE:1.3
	yamt-pagecache-base9:1.3
	yamt-pagecache-tag8:1.3
	tls-earlyentropy:1.3.0.28
	tls-earlyentropy-base:1.3
	riastradh-xf86-video-intel-2-7-1-pre-2-21-15:1.3
	riastradh-drm2-base3:1.3
	netbsd-5-2-2-RELEASE:1.3
	netbsd-5-1-4-RELEASE:1.3
	netbsd-5-2-1-RELEASE:1.3
	netbsd-5-1-3-RELEASE:1.3
	agc-symver:1.3.0.30
	agc-symver-base:1.3
	tls-maxphys-base:1.3
	yamt-pagecache-base8:1.3
	netbsd-5-2:1.3.0.26
	yamt-pagecache-base7:1.3
	netbsd-5-2-RELEASE:1.3
	netbsd-5-2-RC1:1.3
	yamt-pagecache-base6:1.3
	yamt-pagecache-base5:1.3
	yamt-pagecache-base4:1.3
	netbsd-5-1-2-RELEASE:1.3
	netbsd-5-1-1-RELEASE:1.3
	yamt-pagecache-base3:1.3
	yamt-pagecache-base2:1.3
	yamt-pagecache:1.3.0.24
	yamt-pagecache-base:1.3
	bouyer-quota2-nbase:1.3
	bouyer-quota2:1.3.0.22
	bouyer-quota2-base:1.3
	matt-nb5-pq3:1.3.0.20
	matt-nb5-pq3-base:1.3
	netbsd-5-1:1.3.0.18
	netbsd-5-1-RELEASE:1.3
	netbsd-5-1-RC4:1.3
	netbsd-5-1-RC3:1.3
	netbsd-5-1-RC2:1.3
	netbsd-5-1-RC1:1.3
	netbsd-5-0-2-RELEASE:1.3
	netbsd-5-0-1-RELEASE:1.3
	jym-xensuspend-nbase:1.3
	netbsd-5-0:1.3.0.16
	netbsd-5-0-RELEASE:1.3
	netbsd-5-0-RC4:1.3
	netbsd-5-0-RC3:1.3
	netbsd-5-0-RC2:1.3
	jym-xensuspend:1.3.0.14
	jym-xensuspend-base:1.3
	netbsd-5-0-RC1:1.3
	netbsd-5:1.3.0.12
	netbsd-5-base:1.3
	mjf-devfs2:1.3.0.10
	mjf-devfs2-base:1.3
	yamt-pf42-base4:1.3
	yamt-pf42-base3:1.3
	hpcarm-cleanup-nbase:1.3
	yamt-pf42-base2:1.3
	yamt-pf42:1.3.0.8
	yamt-pf42-base:1.3
	keiichi-mipv6:1.3.0.6
	keiichi-mipv6-base:1.3
	cube-autoconf:1.3.0.4
	cube-autoconf-base:1.3
	hpcarm-cleanup:1.3.0.2
	hpcarm-cleanup-base:1.3
	netbsd-1-5-PATCH003:1.1.1.1.2.2
	netbsd-1-5-PATCH002:1.1.1.1.2.2
	v0-3f:1.1.1.2
	netbsd-1-5-PATCH001:1.1.1.1.2.2
	netbsd-1-5:1.1.1.1.0.2
	v0-3e:1.1.1.1
	v0-3a:1.1.1.1
	HEIMDAL:1.1.1;
locks; strict;
comment	@# @;


1.3
date	2001.09.23.05.08.33;	author assar;	state dead;
branches;
next	1.2;

1.2
date	2001.06.19.22.39.53;	author assar;	state Exp;
branches;
next	1.1;

1.1
date	2000.08.02.19.58.06;	author assar;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	2000.08.02.19.58.06;	author assar;	state Exp;
branches
	1.1.1.1.2.1;
next	1.1.1.2;

1.1.1.2
date	2001.06.19.22.07.38;	author assar;	state Exp;
branches;
next	;

1.1.1.1.2.1
date	2000.08.02.19.58.06;	author he;	state dead;
branches;
next	1.1.1.1.2.2;

1.1.1.1.2.2
date	2001.04.05.23.24.20;	author he;	state Exp;
branches;
next	;


desc
@@


1.3
log
@remove files that were not part of last import
@
text
@#! /bin/sh

# Wrapper for compilers which do not understand `-c -o'.

# Copyright 1999, 2000 Free Software Foundation, Inc.
# Written by Tom Tromey <tromey@@cygnus.com>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# Usage:
# compile PROGRAM [ARGS]...
# `-o FOO.o' is removed from the args passed to the actual compile.

prog=$1
shift

ofile=
cfile=
args=
while test $# -gt 0; do
   case "$1" in
    -o)
       ofile=$2
       shift
       ;;
    *.c)
       cfile=$1
       args="$args $1"
       ;;
    *)
       args="$args $1"
       ;;
   esac
   shift
done

test -z "$ofile" && {
   echo "compile: no \`-o' option seen" 1>&2
   exit 1
}

test -z "$cfile" && {
   echo "compile: no \`.c' file seen" 1>&2
   exit 1
}

# Name of file we expect compiler to create.
cofile=`echo $cfile | sed -e 's|^.*/||' -e 's/\.c$/.o/'`

# Create the lock directory.
lockdir=`echo $ofile | sed -e 's|/|_|g'`
while true; do
   if mkdir $lockdir > /dev/null 2>&1; then
      break
   fi
   sleep 1
done
# FIXME: race condition here if user kills between mkdir and trap.
trap "rmdir $lockdir; exit 1" 1 2 15

# Run the compile.
"$prog" $args
status=$?

if test -f "$cofile"; then
   mv "$cofile" "$ofile"
fi

rmdir $lockdir
exit $status
@


1.2
log
@merge in conflicts after 0.3f import
@
text
@@


1.1
log
@Initial revision
@
text
@d5 1
a5 1
# Copyright (C) 1999, 2000 Free Software Foundation, Inc.
@


1.1.1.1
log
@import of heimdal 0.3a
@
text
@@


1.1.1.1.2.1
log
@file compile was added on branch netbsd-1-5 on 2001-04-05 23:24:20 +0000
@
text
@d1 82
@


1.1.1.1.2.2
log
@Pull up revision 1.1.1.1 (requested by assar):
  Upgrade Heimdal to version 0.3e.
@
text
@a0 82
#! /bin/sh

# Wrapper for compilers which do not understand `-c -o'.

# Copyright (C) 1999, 2000 Free Software Foundation, Inc.
# Written by Tom Tromey <tromey@@cygnus.com>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# Usage:
# compile PROGRAM [ARGS]...
# `-o FOO.o' is removed from the args passed to the actual compile.

prog=$1
shift

ofile=
cfile=
args=
while test $# -gt 0; do
   case "$1" in
    -o)
       ofile=$2
       shift
       ;;
    *.c)
       cfile=$1
       args="$args $1"
       ;;
    *)
       args="$args $1"
       ;;
   esac
   shift
done

test -z "$ofile" && {
   echo "compile: no \`-o' option seen" 1>&2
   exit 1
}

test -z "$cfile" && {
   echo "compile: no \`.c' file seen" 1>&2
   exit 1
}

# Name of file we expect compiler to create.
cofile=`echo $cfile | sed -e 's|^.*/||' -e 's/\.c$/.o/'`

# Create the lock directory.
lockdir=`echo $ofile | sed -e 's|/|_|g'`
while true; do
   if mkdir $lockdir > /dev/null 2>&1; then
      break
   fi
   sleep 1
done
# FIXME: race condition here if user kills between mkdir and trap.
trap "rmdir $lockdir; exit 1" 1 2 15

# Run the compile.
"$prog" $args
status=$?

if test -f "$cofile"; then
   mv "$cofile" "$ofile"
fi

rmdir $lockdir
exit $status
@


1.1.1.2
log
@import of heimdal 0.3f
@
text
@d5 1
a5 1
# Copyright 1999, 2000 Free Software Foundation, Inc.
@
